KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase kubeconfig super-admin - Generate a kubeconfig file for the super-admin

SYNOPSIS
kubeadm init phase kubeconfig super-admin [OPTIONS]

DESCRIPTION
Generate a kubeconfig file for the super-admin, and save it to super-admin.conf file.

OPTIONS
--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--control-plane-endpoint=""
    Specify a stable IP address or DNS name for the control plane.

--dry-run=false
    Don't apply any changes; just output what would be done.

--kubeconfig-dir="/etc/kubernetes"
    The path where to save the kubeconfig file.

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-init-phase-kubeconfig(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!